@import url('https://fonts.googleapis.com/css2?family=Josefin+Sans:ital,wght@0,300;0,400;0,500;0,600;0,700;1,400&family=Nunito:ital,wght@0,300;1,300&display=swap');

html{
    font-size: 62.5%; //10px/16px = 62.5%  -> 1rem = 10px

    @include respond(largest){
        font-size: 50%;
    }
}

body {
    font-family: $font-primary;
    color: $color-primary-dark-2;
    font-weight: 300;
    line-height: 1.6;
}

// extend heading
%heading{
    font-family: $font-display;
    font-weight: 400;
}

.heading-1{
    @extend %heading;
    font-size: 4.5rem;
    color: $color-grey-light-1;
    line-height: 1;
}

.heading-2{
    @extend %heading;
    font-size: 4rem;
    font-style: italic;
    line-height: 1;

    &--light{
        color: $color-grey-light-1;
    }

    &--dark{
        color: $color-grey-dark-1;
    }
}

.heading-3{
    @extend %heading;
    font-size: 1.6rem;
    color: $color-primary;
    text-transform: uppercase;
}

.heading-4{
    @extend %heading;
    font-size: 1.9rem;

    &--light{
        color: $color-grey-light-1;
    }

    &--dark{
        color: $color-grey-dark-1;
    }
}